OpenShot Audio Library | OpenShotAudio: juce::Value::ValueSource Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
juce::Value::ValueSource Class Referenceabstract

`#include <juce_Value.h>`

Inheritance diagram for juce::Value::ValueSource:

## Public Member Functions
virtual var | getValue () const =0
virtual void | setValue (const var &newValue)=0
void | sendChangeMessage (bool dispatchSynchronously)
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Protected Attributes
SortedSet< Value * > | valuesWithListeners

## Additional Inherited Members
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

Used internally by the Value class as the base class for its shared value objects.

The Value class is essentially a reference-counted pointer to a shared instance of a ValueSource object. If you're feeling adventurous, you can create your own custom ValueSource classes to allow Value objects to represent your own custom data items.

Definition at line 178 of file juce_Value.h.

## Constructor & Destructor Documentation

## ◆ ValueSource()

juce::Value::ValueSource::ValueSource | ( |  | ) |

Definition at line 29 of file juce_Value.cpp.

## ◆ ~ValueSource()

juce::Value::ValueSource::~ValueSource | ( |  | ) |
| override

Definition at line 33 of file juce_Value.cpp.

## Member Function Documentation

## ◆ getValue()

virtual var juce::Value::ValueSource::getValue | ( |  | ) | const
| pure virtual

Returns the current value of this object.

## ◆ sendChangeMessage()

void juce::Value::ValueSource::sendChangeMessage | ( | bool | dispatchSynchronously | ) |

Delivers a change message to all the listeners that are registered with this value.

If dispatchSynchronously is true, the method will call all the listeners before returning; otherwise it'll dispatch a message and make the call later.

Definition at line 43 of file juce_Value.cpp.

Referenced by setValue().

## ◆ setValue()

virtual void juce::Value::ValueSource::setValue | ( | const var & | newValue | ) |
| pure virtual

Changes the current value. This must also trigger a change message if the value actually changes.

## Member Data Documentation

## ◆ valuesWithListeners

SortedSet<Value*> juce::Value::ValueSource::valuesWithListeners
| protected

Definition at line 204 of file juce_Value.h.

The documentation for this class was generated from the following files:

- juce_Value.h
- juce_Value.cpp